# Retrieve QRCODE Data

## Retrieve recipient data from QRCODE

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout/bank-account-list`

This endpoint allows you to retrieve the recipient's data from QRCODE.

#### Headers

| Name                                            | Type   | Description                                                 |
| ----------------------------------------------- | ------ | ----------------------------------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; charset=UTF-8                             |
| AppId<mark style="color:red;">\*</mark>         | string | Get AppId from dashboard                                    |
| Authorization<mark style="color:red;">\*</mark> | string | signature, generated by SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name          | Type    | Description                                  |
| ------------- | ------- | -------------------------------------------- |
| country       | string  | <p>Country Code.</p><p>- BRA or PER - </p>   |
| method        | string  | <p>Method<br>- Fixed value: QRCODE -</p>     |
| account\_type | string  | <p>Account type<br>- Fixed value: qrcode</p> |
| account       | string  | Beneficiary's QRCode                         |
| timestamp     | Integer | unix timestamp, e.g. 1628512575              |

{% tabs %}
{% tab title="200 success " %}

```
{
    "code": 200,
    "msg": "success",
    "time": 1628497163,
    "data": [{
         "name": "",
         "document_id": "",
         "document_type": "", //CPF or CNPJ for Brazil
         "bank_code": "", //8-digits Bank ISPB Code for Brazil
         "bank_name": "",
         "account": "",
         "account_type": "",
         "amount": "",
         "mcc_code": "", //Merchant Category Code. Only applicable for Brazil QRCODE payout
         "merchant_address": "" //Merchant Address. Only applicable for Brazil QRCODE payout
    }]
}
```

{% endtab %}

{% tab title="500 system error" %}

```
{
    "code": 500,
    "msg": "system error",
    "time": 1628497751,
    "data": {
        "error": "system error"
    }
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout/bank-account-list' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
    "country": "BRA", //BRA or PER
    "method": "QRCODE",
    "account": "00020101021226880014br.gov.bcb.pixqrcode.com.br/pix/2e731667****",
    "account_type": "qrcode",
    "timeStamp": "1733992186"
}'
```

{% hint style="info" %}
Note:  ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is pagsmile's test merchant id for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is authorization token associated with the test App ID.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/payout/retrieve-qrcode-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
